#include <iostream>
#include <string>
using namespace std ;
int main() {
	int n,m,b=0,i,j ;
	string k ;
	cin >> n >> m ;
	for(i=0; i<n*m; i++){
		cin >> k ;
		if(k=="."){
			b++ ;
		}
	}
	if(b==n*m){
		if(n==m){
			for(i=0; i<n; i++){
				for(j=0; j<m; j++){
					if(i==j){
						cout << "C" ;
					}
					else{
						cout << "." ;
					}
				}
				cout << endl ;
			}
		}
	}
	else cout << -1 ;
	return 0;
}